Cannot update from A9LH to B9S? Chainloader broken?

Discussion in '3DS - Homebrew Development and Emulators' started by unraze, Jul 16, 2017.

  1. unraze
    OP

    unraze Newbie

    Newcomer
    1
    Jul 16, 2017
    United States
    Hello, I'm trying to update from A9LH to B9S so I can update luma and then update my console but my chainloader seems to be broken.
    I'm using the 3ds.guide guide. But my chainloader won't boot. I have tried assigning the payloads to keys ala "start_<payload>.bin" but this is also not working. I can still access the luma 3ds menu by holding select at boot. When I launch luma 3ds updater it detects that I'm using A9LH (but I get the "could not find arm9loaderhax.bin" error. I downloaded the newest versions of GM9, A9LH, BS9, luma3ds & luma3ds updater but that didn't help. Did I screw myself when I updated, or am I doing something wrong? any help appreciated.

    System info: Updated from 11.3 to 11.4.0-37 while on luma CFW 7.1
    current Luma version: 7.1
    Using A9LH.
     
  2. SirECK

    SirECK GBAtemp Fan

    Member
    3
    Jul 1, 2009
    Canada
    Ontario, Canada
    Luma 7.1 is for BS9
    You need Luma 7.0.5.
    7.1 only supports .firm files from what I remember.
    If you have a9lh in the CTRNAND I bet its loading your old version of Luma.
    Not sure if payloads work from CTRNAND with a9lh, never tried it before.
    For GM9 are you trying to use the .bin or .firm?
     
    Quantumcat likes this.
  3. unraze
    OP

    unraze Newbie

    Newcomer
    1
    Jul 16, 2017
    United States

    My godmode9 version is a .firm file (in luma\payloads) I have it titled start_GodMode9.firm.

    my luma updater is version 1.4.2

    It says I'm on luma 7.1-c73fec46
     
  4. HugaTheFox

    HugaTheFox GBAtemp Advanced Fan

    Member
    2
    Feb 11, 2017
    United States
    Las Vegas
    Hold Select, Start, X on boot then turn it off and check in if you have a Boot9, boot11, and boot.firm in Boot9Strap

    — Posts automatically merged - Please don't double post! —

    Wait, 1.4.2 doesn't have support for Boot9Strap
     
  5. SirECK

    SirECK GBAtemp Fan

    Member
    3
    Jul 1, 2009
    Canada
    Ontario, Canada
    luma updater and luma are 2 different programs.
    you said you where trying to update to b9s, did you succeed?
    for luma 7.1+ you need luma updater 2.0.
    Hold select and power on the system, what version does it state there?
    If you dont have b9s installed you cant have luma 7.1.
     
  6. unraze
    OP

    unraze Newbie

    Newcomer
    1
    Jul 16, 2017
    United States
    holding these buttons boots into the luma configuration menu.

    My boot9strap folder does not contain a boot.firm file.

    it contains
    boot9strap.firm.sha
    boot9strap.firm
    otp.bin
    boot11.bin
    boot9.bin
     
  7. SirECK

    SirECK GBAtemp Fan

    Member
    3
    Jul 1, 2009
    Canada
    Ontario, Canada
    boot.firm needs to be in the root of the SD card. FYI
    What version does it say on th luma configuration menu?
     
  8. unraze
    OP

    unraze Newbie

    Newcomer
    1
    Jul 16, 2017
    United States
    I didn't succeed in updating to B9S because I can't get to my chainloader. Holding start just boots to the home menu.

    The top line in the luma3ds settings (holding select on boot) is
    "Luma3DS v7.1 configuration"

    Luma updater v1.4.2 says

    payload type: arm9loaderhax
    payload path: /arm9loaderhax.bin
    Backup payload: Yes

    Current installed version: 7.1-c73fec46 (dev)
    latest version (github) 8.1
    latest hourly buidl: ba14efe

    update available ect.
     
    Last edited by unraze, Jul 16, 2017
  9. SirECK

    SirECK GBAtemp Fan

    Member
    3
    Jul 1, 2009
    Canada
    Ontario, Canada
    can you put the GM9 .bin into the payloads folder?
    Then hold start and turn the system on.
     
  10. unraze
    OP

    unraze Newbie

    Newcomer
    1
    Jul 16, 2017
    United States
    I put the file "GodMode9.bin" into "luma\payloads"

    holding start on boot still boots to home screen.
     
  11. SirECK

    SirECK GBAtemp Fan

    Member
    3
    Jul 1, 2009
    Canada
    Ontario, Canada
    Ill have to pick this up tomorrow. 3am here, cant think anymore.
    I have a few more ideas but Ill think about it some more.
     
  12. unraze
    OP

    unraze Newbie

    Newcomer
    1
    Jul 16, 2017
    United States
    Thank you for your help so far.
     
  13. Quantumcat

    Quantumcat Dead and alive

    Member
    18
    Nov 23, 2014
    Australia
    Canberra, Australia
    Lilith Valentine likes this.
  14. HugaTheFox

    HugaTheFox GBAtemp Advanced Fan

    Member
    2
    Feb 11, 2017
    United States
    Las Vegas
    Lol 12 Am btw. Anyway, Update your Luma Updaterz
     
  15. fowler002

    fowler002 GBAtemp Fan

    Member
    2
    Jan 3, 2013
    Download luma 7.05 from GitHub, extract the arm9loaderhax.bin from the .7z and place it on the root of your sd. Remove the boot.firm from the root and try booting the 3ds, if it doesn't boot means you're on b9s.

    Or that isn't necessary as far as I understand, if it's booting on 7.1 you have b9s already. Try downloading 8.1 off the GitHub, extract the boot.firm from the .7z file replace the current current boot.firm on the root of the sd card and see what happens(I.e does it load).

    Oh and the cannot find arm9loaderhax.bin also means you're no longer on a9lh, if you've downloaded the newest luma updater cia you need to go into fbi and install it. Once installed you should have 2 luma updaters on your home menu, run the new updater and it should allow you to update(if you have updated to b9s and not realised it).
     
  16. SirECK

    SirECK GBAtemp Fan

    Member
    3
    Jul 1, 2009
    Canada
    Ontario, Canada
    OK got an idea, can you post a screenshot of the root of the SD card, payloads folder and Boot9Strap folder.
     
  17. unraze
    OP

    unraze Newbie

    Newcomer
    1
    Jul 16, 2017
    United States

    Okay, I had beentryign to use the qr code function of FBI to download the 2.1.2 version of luma. It kept saying it had worked but didnt add a new icon so I assumed something was wrong with my setup. I just manually installed it and it worked

    Now it is said I am on sighax. I just tried updating to 8.1, now when i press the power button the power light turns on and then turns off and nothing boots :<

    I tried to switch to the backup boot.firm and it still has the same issue.
     
    Last edited by unraze, Jul 16, 2017
  18. SirECK

    SirECK GBAtemp Fan

    Member
    3
    Jul 1, 2009
    Canada
    Ontario, Canada
    I'm starting to think you are on b9s 1.0 can we get screen shots please?
     
    unraze likes this.
  19. Quantumcat

    Quantumcat Dead and alive

    Member
    18
    Nov 23, 2014
    Australia
    Canberra, Australia
    Update b9s https://3ds.guide/updating-b9s

    — Posts automatically merged - Please don't double post! —

    I told you to do it already /\
     
    HugaTheFox and Lilith Valentine like this.
  20. unraze
    OP

    unraze Newbie

    Newcomer
    1
    Jul 16, 2017
    United States

    I could not update B9S because my chainloader was not working.

    I couldn't do anything but boot to the home menu or the luma setup menu.

    Now I can't do anything the power light turns on when I press the power button and then the power light turns off by itself.

    I've tried to use all the boot.firms on the card and none of them will boot my console.
    — Posts automatically merged - Please don't double post! —
     

    Attached Files:

    Last edited by unraze, Jul 17, 2017
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice